
From: Romain Francoise <romain@orebokech.com>

arch/sparc64/mm/hugetlbpage.c does not include linux/module.h so
EXPORT_SYMBOL prints out warnings, and since sparc64 Makefiles have
-Werror, the build fails.


---

 25-akpm/arch/sparc64/mm/hugetlbpage.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN arch/sparc64/mm/hugetlbpage.c~sparc64-build-fix arch/sparc64/mm/hugetlbpage.c
--- 25/arch/sparc64/mm/hugetlbpage.c~sparc64-build-fix	2004-04-04 16:58:00.723886360 -0700
+++ 25-akpm/arch/sparc64/mm/hugetlbpage.c	2004-04-04 16:58:00.726885904 -0700
@@ -13,6 +13,7 @@
 #include <linux/smp_lock.h>
 #include <linux/slab.h>
 #include <linux/sysctl.h>
+#include <linux/module.h>
 
 #include <asm/mman.h>
 #include <asm/pgalloc.h>

_
